unit Intro;

interface
procedure Draw;
procedure Work;

implementation
uses
  LexUtils, u_SceneM,
  zglHeader, uConst, uMaterials;

var
  ITime : Integer = 250;
  Alpha : Single  = 0;

procedure Draw;
begin
  SSprite2D_Draw(mIgdc, WinW / 2 - 256, WinH / 2 - 256, 512, 512, 0, Round(Alpha));
end;

procedure Work;
  procedure Shag;
  begin
    Main.SetScene(tg_menu, false, 5, $FFFFFF);
  end;

begin
  if (Key_Press(k_Escape))
  or (ITime < 1 ) then
    Shag
  else
    Dec(ITime);

  if Alpha < 254 then
  App(Alpha, 1.2);
end;

end.
